namespace PkmnLib.Plugin.Gen7.Scripts.Items.Pokeballs;

[ItemScript("quick_ball")]
public class QuickBall : PokeballScript
{
    /// <inheritdoc />
    public QuickBall(IItem item) : base(item)
    {
    }

    /// <inheritdoc />
    public override void ChangeCatchRate(IPokemon target, ref byte catchRate)
    {
        var battleData = target.BattleData;
        if (battleData is null)
            return;

        if (battleData.Battle.CurrentTurnNumber == 1)
        {
            catchRate = catchRate.MultiplyOrMax(5f);
        }
    }
}